From 6ab302e55a8340f64f11aa20291b3269a62f7fcc Mon Sep 17 00:00:00 2001
From: Shugo Maeda <shugo@ruby-lang.org>
Date: Tue, 19 Oct 2010 21:02:22 +0900
Subject: [PATCH 29/51] duplicate @__imported_classboxes__.

---
 prelude.rb |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/prelude.rb b/prelude.rb
index 3c76bb7..d0afbd0 100644
--- a/prelude.rb
+++ b/prelude.rb
@@ -89,6 +89,7 @@ class Class
     unless @__imported_classboxes__
       @__imported_classboxes__ =
         self.superclass.instance_variable_get(:@__imported_classboxes__)
+      @__imported_classboxes__ &&= @__imported_classboxes__.dup
     end
     super(binding(1))
   end
-- 
1.7.0.4

